using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace Photo_Editor_Application
{
	/// <summary>
	/// Summary description for TextBoxInput.
	/// </summary>
	public class TextBoxInput : System.Windows.Forms.Form
	{
        private System.Windows.Forms.TextBox text1;
        private System.Windows.Forms.Button textOKButton;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
        /// <summary>
        /// Constructor for text input dialog box.
        /// </summary>
		public TextBoxInput()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
            this.text1 = new System.Windows.Forms.TextBox();
            this.textOKButton = new System.Windows.Forms.Button();
            this.SuspendLayout();
            // 
            // text1
            // 
            this.text1.AcceptsReturn = true;
            this.text1.AcceptsTab = true;
            this.text1.Location = new System.Drawing.Point(0, 0);
            this.text1.Multiline = true;
            this.text1.Name = "text1";
            this.text1.Size = new System.Drawing.Size(296, 184);
            this.text1.TabIndex = 0;
            this.text1.Text = "Enter text here...";
            // 
            // textOKButton
            // 
            this.textOKButton.Location = new System.Drawing.Point(200, 216);
            this.textOKButton.Name = "textOKButton";
            this.textOKButton.TabIndex = 1;
            this.textOKButton.Text = "OK";
            this.textOKButton.Click += new System.EventHandler(this.textOKButton_Click);
            // 
            // TextBoxInput
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
            this.ClientSize = new System.Drawing.Size(292, 266);
            this.Controls.Add(this.textOKButton);
            this.Controls.Add(this.text1);
            this.Name = "TextBoxInput";
            this.Text = "TextBoxInput";
            this.ResumeLayout(false);

        }
		#endregion

        // Holds the text to be dispayed.
        private string textInput;
        /// <summary>
        /// Accessor to the text input.
        /// </summary>
        public string TextInput
        {
            get
            {
                return textInput;
                }
        }
    
        /// <summary>
        /// Declaration of the client delegate which
        /// is called when the 
        /// Text Box OK button was pressed!
        /// </summary>
        public delegate void Feedback(string text);
    
        Feedback tempMethod;
        /// <summary>
        /// CallMethod used to register the callback function.
        /// </summary>
        /// <param name="feedback">Function Pointer</param>
        public void CallMethod(Feedback feedback)
        { 
            tempMethod = feedback;
            feedback(textInput);
        }
    
        /// <summary>
        /// Evnet handler called when the Text Box did its duty,
        /// it's time to call the registered callback method.
        /// </summary>
        /// <param name="sender">sender object</param>
        /// <param name="e">additional info</param>
        private void textOKButton_Click(object sender, 
            System.EventArgs e)
        {
            textInput = this.text1.Text;
            this.Hide();
      
            CallMethod(tempMethod);
        }

	}
}
